Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#48489 closed defect (wontfix)

rubberband: unrecognized command line option "-mfpmath=sse"

Reported by: mrkapqa Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 2.3.3
Keywords: tiger leopard powerpc Cc: mrkapqa
Port: rubberband

Description (last modified by Ionic (Mihai Moldovan))

Hello ,

i am trying to build MPV on OSX Tiger.

installed most of the dependencies so far -

only i could not install libbluray

so i went with

"sudo port install mpv and not libbluray" thinking that i can neglect this dependency.

apart from libbluray only dependencie that seems missing is rubberband.

mrkapqas-powerbook-g4-12:~ jussiissa$ sudo port install rubberband
--->  Computing dependencies for rubberband
--->  Fetching archive for rubberband
--->  Attempting to fetch rubberband-1.8.1_0.darwin_9.ppc.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/rubberband
--->  Attempting to fetch rubberband-1.8.1_0.darwin_9.ppc.tbz2 from http://nue.de.packages.macports.org/macports/packages/rubberband
--->  Attempting to fetch rubberband-1.8.1_0.darwin_9.ppc.tbz2 from http://lil.fr.packages.macports.org/rubberband
--->  Fetching distfiles for rubberband
--->  Verifying checksums for rubberband
--->  Extracting rubberband
--->  Applying patches to rubberband
--->  Configuring rubberband
--->  Building rubberband
Error: org.macports.build for port rubberband returned: command execution failed

Attachments (1)

main.log (15.9 KB) - added by mrkapqa 4 years ago.

Download all attachments as: .zip

Change History (8)

Changed 4 years ago by mrkapqa

Attachment: main.log added

comment:1 Changed 4 years ago by Ionic (Mihai Moldovan)

Keywords: tiger added
Owner: changed from macports-tickets@… to ryandesign@…
Port: rubberband added
Summary: (rubberband)@mpv - command execution failedrubberband: unrecognized command line option "-mfpmath=sse"

Please CC the maintainer(s) next time, if any, and supply the appropriate port (rubberband) in the Port field when creating a ticket.

First of all, mpv won't work on Tiger. The only supported platforms are 10.7 and higher. Support for 10.6 is wonky in that it won't give you video and older releases of OS X were not tested at all by me.

Secondly, you cannot "skip" dependencies by specifying "and not ...".

mpv has a rubberband variant (which is enabled by default), so rubberband can be disabled by using sudo port install mpv -rubberband.

There is no way to disable libbluray, as this is a hard dependency.

On platforms that old, you will have to use another application like mplayer or the like.

comment:2 Changed 4 years ago by Ionic (Mihai Moldovan)

Description: modified (diff)

comment:3 Changed 4 years ago by ryandesign (Ryan Schmidt)

Keywords: leopard powerpc added
Resolution: wontfix
Status: newclosed

You said you're using Tiger, but your transcript and log show that you are using Darwin 9, which is Leopard.

-fpmath=sse presumably is intending to enable x86 SSE optimizations. The log shows you're on a PowerPC processor, where x86 SSE optimizations would not be available. I guess this project was not designed to be used on a PowerPC processor.

Since Mihai is the maintainer of mpv and has already said mpv isn't meant to work on a system this old, I'll defer that and close the ticket.

On my Leopard machine, I use VLC 2.0.10; perhaps that will work for you too.

comment:4 Changed 4 years ago by mrkapqa

Hello ,

thank you for your kind explanation.

I am trying to use Youtube-Viewer (Perl-Application) to watch Youtube-Videos on Powerpc. Although YouView works still great :) i was wondering if it is possible to use MPV with youtube-viewer. VLC is not an option because it won't play most streams from youtube (so noticed on linux debian squeeze) and as far as i know mplayer won't handle https:// therefore i am hoping to get mpv running because it is simply the best player out there and i would like to still use the powerbooks. thank you very much.

comment:5 Changed 4 years ago by Ionic (Mihai Moldovan)

Cc: csae2608@… added

Has duplicate #48888.

comment:6 Changed 4 years ago by ryandesign (Ryan Schmidt)

Marked port as requiring an Intel processor in r140288.

comment:7 in reply to:  4 Changed 4 years ago by ryandesign (Ryan Schmidt)

Replying to csae2608@…:

I am trying to use Youtube-Viewer (Perl-Application) to watch Youtube-Videos on Powerpc. Although YouView works still great :) i was wondering if it is possible to use MPV with youtube-viewer. VLC is not an option because it won't play most streams from youtube (so noticed on linux debian squeeze) and as far as i know mplayer won't handle https:// therefore i am hoping to get mpv running because it is simply the best player out there and i would like to still use the powerbooks.

My understanding is that mpv only supports OS X 10.8 and later, so that's not going to work on a PowerPC Mac.

Maybe youtube-dl would work for you?

Note: See TracTickets for help on using tickets.